xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Simplest

Contents

- Usage:

Description

A very simple layout. The simplest, afaik.

Synopsis

- data Simplest a = Simplest

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Simplest

Then edit your `layoutHook` by adding the Simplest layout:

    myLayout = Simplest ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Simplest a #

Constructors

Simplest |

Instances

LayoutClass Simplest a # |
Methods runLayout :: Workspace WorkspaceId (Simplest a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) # doLayout :: Simplest a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Simplest a)) # pureLayout :: Simplest a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: Simplest a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) # handleMessage :: Simplest a -> SomeMessage -> X (Maybe (Simplest a)) # pureMessage :: Simplest a -> SomeMessage -> Maybe (Simplest a) # description :: Simplest a -> String #
Read (Simplest a) # |
Methods readsPrec :: Int -> ReadS (Simplest a) # readList :: ReadS [Simplest a] # readPrec :: ReadPrec (Simplest a) # readListPrec :: ReadPrec [Simplest a] #
Show (Simplest a) # |
Methods showsPrec :: Int -> Simplest a -> ShowS # show :: Simplest a -> String # showList :: [Simplest a] -> ShowS #